# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "bestool-alertd"
version = "17.1.0"
authors = [
    "Félix Saparelli <felix@passcod.name>",
    "BES Developers <contact@bes.au>",
]
build = false
exclude = [
    "release.toml",
    "update-usage.sh",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "(Internal) BES tooling: healthcheck daemon"
readme = "README.md"
license = "GPL-3.0-or-later"
repository = "https://github.com/beyondessential/bestool/tree/main/crates/alertd"
resolver = "2"

[lib]
name = "bestool_alertd"
path = "src/lib.rs"

[dependencies.axum]
version = "0.8.9"

[dependencies.bestool-canopy]
version = "0.6.4"

[dependencies.bestool-kopia]
version = "0.3.4"

[dependencies.bestool-postgres]
version = "1.1.0"

[dependencies.bestool-tamanu]
version = "0.15.2"
features = ["canopy-registration"]

[dependencies.bytes]
version = "1.9.0"

[dependencies.dirs]
version = "6.0.0"

[dependencies.duct]
version = "1.1.0"

[dependencies.futures]
version = "0.3.30"

[dependencies.hickory-resolver]
version = "0.26.1"

[dependencies.jiff]
version = "0.2.28"
features = ["serde"]

[dependencies.miette]
version = "7.6.0"

[dependencies.node-semver]
version = "2.2.0"

[dependencies.prometheus]
version = "0.14.0"

[dependencies.reqwest]
version = "0.13.3"
features = [
    "json",
    "rustls",
]

[dependencies.rustls]
version = "0.23.40"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.145"

[dependencies.sysinfo]
version = "0.39.3"

[dependencies.tokio]
version = "1.47.1"
features = ["full"]

[dependencies.tokio-postgres]
version = "0.7.17"
features = [
    "with-jiff-0_2",
    "with-serde_json-1",
]

[dependencies.tokio-rustls]
version = "0.26.4"

[dependencies.tokio-stream]
version = "0.1.17"
features = ["sync"]

[dependencies.tower-http]
version = "0.7.0"
features = ["trace"]

[dependencies.tracing]
version = "0.1.43"
features = ["attributes"]

[dependencies.url]
version = "2.5.8"
features = ["serde"]

[dependencies.x509-parser]
version = "0.18.1"

[target."cfg(unix)".dependencies.rustix]
version = "1"
features = ["process"]

[target."cfg(unix)".dependencies.sd-notify]
version = "0.5.0"

[target."cfg(windows)".dependencies.windows-service]
version = "0.8.0"

[lints.rust]
unsafe_code = "forbid"

[lints.rust.rust_2018_idioms]
level = "deny"
priority = -1
